Package org.apache.lucene.queryparser.flexible.standard.nodes

## Class MinShouldMatchNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.standard.nodes.MinShouldMatchNode

- All Implemented Interfaces:
    `Cloneable`, `QueryNode`

      public class MinShouldMatchNode
      extends QueryNodeImpl

  Node that represents a minimum-should-match restriction on a `GroupQueryNode`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `GroupQueryNode` | `groupQueryNode` |
    `int` | `minShouldMatch` |

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinShouldMatchNode​(int minShouldMatch, GroupQueryNode groupQueryNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CharSequence` | `toQueryString​(EscapeQuerySyntax escapeSyntaxParser)` | convert to a query string understood by the query parser

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, toString, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### minShouldMatch

          public final int minShouldMatch

    - #### groupQueryNode

          public final GroupQueryNode groupQueryNode

  - ### Constructor Detail

    - #### MinShouldMatchNode

          public MinShouldMatchNode​(int minShouldMatch,
                                    GroupQueryNode groupQueryNode)

  - ### Method Detail

    - #### toQueryString

          public CharSequence toQueryString​(EscapeQuerySyntax escapeSyntaxParser)

      Description copied from interface: `QueryNode`
      convert to a query string understood by the query parser